%define upstream_name    Workflow
%define upstream_version 2.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Simple, flexible system to implement workflows
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Workflow
Source0:    https://cpan.metacpan.org/authors/id/J/JO/JONASBN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor) >= 0.180.0
BuildRequires: perl(Class::Factory) >= 1.0.0
BuildRequires: perl(DBD::Mock) >= 1.590.0
BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(DateTime) >= 0.150.0
BuildRequires: perl(DateTime::Format::Strptime) >= 1.0.0
BuildRequires: perl(Exception::Class) >= 1.100.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Any) >= 1.50.0
BuildRequires: perl(Mock::MonkeyPatch)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Readonly)
BuildRequires: perl(Safe)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Syntax::Keyword::Try) >= 0.250.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Without::Module) >= 0.200.0
BuildRequires: perl(XML::Simple) >= 2.0.0
BuildRequires: perl(YAML) >= 1.300.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Overview
    This is a standalone workflow system. It is designed to fit into your
    system rather than force your system to fit to it. You can save
    workflow information to a database or the filesystem (or a custom
    storage). The different components of a workflow system can be included
    separately as libraries to allow for maximum reusability.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
rm t/persister_dbi_sqlite.t
make test

%install
%make_install

%files
%doc INSTALL LICENSE META.json META.yml MYMETA.yml README eg
%license LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.50.0-2.mga10
+ Revision: 2235610
- Mageia 10 Mass Rebuild

* Wed Feb 05 2025 tv <tv> 2.50.0-1.mga10
+ Revision: 2145382
- update to 2.05

* Wed Jan 29 2025 daviddavid <daviddavid> 2.30.0-1.mga10
+ Revision: 2143406
- update to 2.03

* Mon Feb 20 2023 tv <tv> 1.620.0-1.mga9
+ Revision: 1944295
- update to 1.62

* Mon Oct 03 2022 tv <tv> 1.610.0-1.mga9
+ Revision: 1894309
- update to 1.61

* Wed Mar 23 2022 umeabot <umeabot> 1.600.0-2.mga9
+ Revision: 1821137
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 1.600.0-1.mga9
+ Revision: 1788437
- update to 1.60

* Sat Feb 05 2022 tv <tv> 1.590.0-1.mga9
+ Revision: 1771598
- update to 1.59

* Thu Oct 28 2021 tv <tv> 1.570.0-1.mga9
+ Revision: 1753115
- update to 1.57

* Fri Jul 30 2021 tv <tv> 1.560.0-1.mga9
+ Revision: 1738200
- update to 1.56

* Sat Jul 17 2021 tv <tv> 1.550.0-1.mga9
+ Revision: 1736519
- update to 1.55

* Wed Apr 28 2021 tv <tv> 1.540.0-1.mga9
+ Revision: 1720252
- update to 1.54

* Mon Apr 19 2021 tv <tv> 1.530.0-1.mga9
+ Revision: 1716915
- update to 1.53

* Fri Feb 26 2021 tv <tv> 1.520.0-1.mga9
+ Revision: 1692140
- update to 1.52

* Sun Feb 16 2020 umeabot <umeabot> 1.480.0-2.mga8
+ Revision: 1530987
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 tv <tv> 1.480.0-1.mga8
+ Revision: 1438271
- update to 1.48

* Sun Jun 30 2019 tv <tv> 1.460.0-1.mga8
+ Revision: 1416440
- update to 1.46

* Thu Sep 20 2018 umeabot <umeabot> 1.450.0-3.mga7
+ Revision: 1287293
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.450.0-2.mga7
+ Revision: 1167330
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.450.0-1.mga7
+ Revision: 1157361
- new version 1.45

* Sun Jun 19 2016 pterjan <pterjan> 1.420.0-2.mga6
+ Revision: 1035700
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 buchan <buchan> 1.420.0-1.mga6
+ Revision: 924973
- imported package perl-Workflow


* Sun Jan 17 2016 buchan 1.42-1mga
- New upstream version 1.42

* Sun May 10 2015 buchan 1.41-1mga
- initial mageia release, generated with cpan2dist
